

	uniform mat4 objToWorld;
	varying vec3 normal,halfVector;
	
	void main()
	{	

		normal = normalize(gl_NormalMatrix * gl_Normal);
			

		halfVector = gl_LightSource[0].halfVector.xyz;
					


gl_TexCoord[0] = gl_MultiTexCoord0;

vec4 world_position=objToWorld*gl_Vertex;
gl_TexCoord[1].s = (world_position.x/200.0)+0.5;
gl_TexCoord[1].t = (world_position.z/200.0)+0.5;

		gl_Position = ftransform();
	} 